Overview
DELETE/access/personas/{id}/tools/{toolName}registry

Revoke a tool from a persona (owner/admin)

Delete a record from tools by id, toolName.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
  • toolNamepathstring
Responses
204

revoked (idempotent)

No response body.

401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
403

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/access/personas/{id}/tools/{toolName}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/access/personas/{id}/tools/{toolName}", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();